Kerbal Space Program - Bug #16088

Asteroid renamed in the tracking station forgets its name.
10/08/2017 03:50 AM - Rodhern

Status: Closed Start date: 10/08/2017
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

| have an asteroid in a campaign game named "Ast. FRS-057". | have a crewed rocket parked nearby.

In the tracking station | select the asteroid and in the blue info heading with the name | double click to get the "Rename Vessel" box. |
save the new name as "Ast. FRS-061". In the tracking station the asteroid is now named "Ast. FRS-061".

| go to the space center scene. In the .sfs file | see "VESSEL { name = Ast. FRS-061". | go back to the tracking station. Still no
problem.

From the tracking station | go to the flight scene (to the rocket). This causes the .sfs file to change names. This time | see "VESSEL {
name = Ast. FRS-057" and the root part becomes "PART { name = PotatoRoid; rTrf = PotatoRoid (Ast. FRS-061)". The asteroid
name per the map is now "Ast. FRS-057".

I go back to the tracking station and the original asteroid name, "Ast. FRS-057", is reestablished.

History

#1 -10/11/2017 09:00 AM - Squeich

- Status changed from New to Need More Info

| have not been able to reproduce this behaviour. A renamed asteroid is keeping its new name no matter how many vessel switches and methods to
do that are tried.

Please could you attach your savegame and logs?

#2 - 10/11/2017 11:22 AM - Rodhern
- File gameandlog.zip added

| revalidated the files on Steam and started a new game. This time a sandbox game. | did some F12 unlimited fuel cheating and parked next to a
tracked asteroid.

Saved game, with craft and sfs, and log attached (gameandlog.zip).
You can recreate the problem by loading the game, go to tracking station, rename asteroid with a double-click to OPE-987, then see in the tracking

station that it is renamed. Select Interceptor and click Fly. Once the Flight scene is loaded you can go back to the tracking station. In the tracking
station the asteroid will now have its old name (OPE-902) again.

#3 - 10/22/2017 05:00 AM - Anonymous
| can reproduce the problem with your persistent.sfs; renaming the asteroid to 'RENAMED' last only until | get within physics range of it.
Renaming through the tracking station is persistent for never-visited asteroids.

Once visited, asteroids get a ModuleAsteroid containing an AsteroidName; this name is not changed by the edit at the tracking station. It seems that
AsteroidName overrides the other copies of the name on the next auto-save.

#4 - 10/23/2017 05:04 AM - Anonymous

| can also recreate this in version 1.1.3 [sic] using the same steps:
new game, put a ship near asteroid, try to rename asteroid in Tracking Station, return to ship near asteroid, return to Tracking Station.

05/15/2024 12




#5 - 07/31/2019 10:40 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#6 - 07/31/2019 10:40 PM - chris.fulton

- Status changed from Resolved to Closed

Closing in effort of database cleanup.

Files

gameandlog.zip 370 KB 10/11/2017 Rodhern
